%define libdir32 %{_exec_prefix}/lib
%define platform pc
%define efi 1

%global efi %{ix86} x86_64

# build documentation by default
%bcond_without  doc
%bcond_with     pdf

%bcond_with talpo

Summary:	GNU GRUB is a Multiboot boot loader
Name:		grub2
Version:	2.00
Release:	79
License:	GPLv3+
Group:		System/Kernel and hardware
Url:		http://www.gnu.org/software/grub/
Source0:	grub-%{version}.tar.gz
Source1:	90_persistent
Source2:	grub.default
Source3:	grub.melt
# www.4shared.com/archive/lFCl6wxL/grub_guidetar.html
Source4:	grub_guide.tar.gz
Source8:	grub2-po-update.tar.gz
Source9:	update-grub2
Source10:	README.urpmi
Source11:	grub2.rpmlintrc
Source12:	42_efi
Source13:	43_rescue
Source14:	grub2-cfg-mod

Patch0:		grub2-locales.patch
Patch1:		grub2-00_header.patch
Patch2:		grub2-custom-color.patch
Patch3:		grub2-move-terminal.patch
Patch4:		grub2-read-cfg.patch
Patch5:		grub2-symlink-is-garbage.patch
Patch6:		grub2-name-corrections.patch
Patch8:		grub2-theme-not_selected_item_box.patch
Patch9:		grub-2.00.Linux.remove.patch
Patch10:	grub2-mkfont-fix.patch
Patch11:	grub2-2.00-class-via-os-prober.patch
Patch12:	grub-2.00.safe.patch
Patch13:	grub-2.00-unifont-path.patch
Patch14:	grub-2.00-proportional-scale.patch
Patch15:	grub-2.00.30_os-prober.options.patch
# Build with freetype 2.5.1 and higher
Patch16:	grub-2.00-freetype-2.5.1.patch
Patch18:	grub-2.00.fix.build.flex.patch

# Fedora patches:
# https://bugzilla.redhat.com/show_bug.cgi?id=857936
Patch100:	grub2-2.00-fda-add-fw_path-search_v2.patch
# Add support for entering the firmware setup screen.
Patch101:	grub2-2.00-fda-Add-fwsetup.patch
# Don't decrease efi memory map size
Patch102:	grub2-2.00-fda-dont-decrease-mmap-size.patch
# IBM client architecture (CAS) reboot support
Patch103:	grub2-2.00-fda-cas-reboot-support.patch
# Read chunks in smaller blocks
Patch104:	grub2-2.00-fda-efidisk-ahci-workaround.patch
# Fix crash on http: https://bugzilla.redhat.com/show_bug.cgi?id=860834
Patch105:	grub2-2.00-fda-fix-http-crash.patch
# Issue separate DNS queries for ipv4 and ipv6
Patch106:	grub2-2.00-fda-Issue-separate-DNS-queries-for-ipv4-and-ipv6.patch
# Don't allow insmod when secure boot is enabled
Patch107:	grub2-2.00-fda-no-insmod-on-sb.patch
# Add support for crappy cd craparino
Patch108:	grub2-2.00-fda-cdpath.patch
# Add support for linuxefi
Patch109:	grub2-2.00-fda-linuxefi.patch
# Fix parallel build
Patch110:	grub2-2.00-parallel-build.patch

#Mageia patches
# Fix autoreconf warnings
Patch200:	grub2-2.00-mga-fix_AM_PROG_MKDIR_P-configure.ac.patch

# ROSA quick fix. Need rediff previous patch
Patch500:	grub2-10_linux_hibernate_fix.patch

Patch501:	grub2-2.00-gnulib-compatibility.patch
Patch502:	grub2-2.00-os-prober-efi-support.patch
Patch503:	grub2-2.00-improved-boot-menu.patch
Patch504:	grub2-2.00-cut-long-menu-titles.patch
Patch505:	grub-2.00.texi.diff
Patch506:	grub-2.00.autoreconf.patch
Patch507:	grub2-2.00.30_os-prober-loading-messages.patch
Patch508:	grub2-linuxefi_non_sb_fallback.patch
Patch509:	grub2-2.00-btrfs-subvolumes-support.patch
Patch510:	grub2-2.00-efi-install-secureboot-support.patch
Patch511:	grub2-2.00-avoid-mbr-id-overwrite.patch
Patch512:	grub2-2.00-support-grub.cfg-links.patch
Patch513:	grub2-2.00-probe-targets-list.patch
Patch514:	grub2-2.00-secureboot-chainloader.patch
Patch515:	grub2-2.00-efi-install-grub-cfg.patch
Patch516:	0516-Fix-security-issue-when-reading-username-and-passwor.patch

# Backported from upstream and re-worked for 2.00
Patch600:	0001-xfs-Fix-termination-loop-for-directory-iteration.patch
Patch601:	0002-xfs-Convert-inode-numbers-to-cpu-endianity-immediate.patch
Patch602:	0003-xfs-Add-helpers-for-inode-size.patch
Patch603:	0004-xfs-V5-filesystem-format-support.patch
Patch604:	0005-xfs-silence-Coverity-overflow-warning.patch
Patch605:	0006-fix-handling-of-symlink.patch

# For updating Makefile template after patch 12
BuildRequires:	autogen
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	fonts-ttf-unifont >= 6.2
BuildRequires:	help2man
BuildRequires:	ruby
%if %{with talpo}
BuildRequires:	talpo
%endif
BuildRequires:	texinfo
%if %{with pdf}
BuildRequires:	texlive-collection-texinfo
BuildRequires:	texlive-epsf
BuildRequires:	texlive-latex
%endif
BuildRequires:	glibc-static-devel
BuildRequires:	liblzo-devel
BuildRequires:	pkgconfig(devmapper)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(liblzma)
BuildRequires:	pkgconfig(libusb)
BuildRequires:	pkgconfig(ncurses)

Requires:	grub2-theme
Requires:	xorriso
Requires(post):	os-prober >= 1.63-5
Requires:	e2fsprogs >= 1.42.13
Suggests:	grub2-theme-rosa

Provides:	bootloader
Provides:	grub2bootloader

%description
GNU GRUB is a Multiboot boot loader. It was derived from GRUB, the
GRand Unified Bootloader, which was originally designed and implemented
by Erich Stefan Boleyn.

Briefly, a boot loader is the first software program that runs when a
computer starts. It is responsible for loading and transferring control
to the operating system kernel software (such as the Hurd or Linux).
The kernel, in turn, initializes the rest of the operating system (e.g. GNU).

%files -f pc/grub.lang
#%{libdir32}/%{name}
%{libdir32}/grub/*-%{platform}
#%{_sbindir}/%{name}-*
#%{_bindir}/%{name}-*
%{_sbindir}/update-grub2
%{_bindir}/%{name}-editenv
%{_bindir}/%{name}-fstest
%{_bindir}/%{name}-kbdcomp
%{_bindir}/%{name}-menulst2cfg
%{_bindir}/%{name}-mkfont
%{_bindir}/%{name}-mkimage
%{_bindir}/%{name}-mklayout
%{_bindir}/%{name}-mkpasswd-pbkdf2
%{_bindir}/%{name}-mkrelpath
%{_bindir}/%{name}-mkrescue
%{_bindir}/%{name}-mkstandalone
%{_bindir}/%{name}-script-check
%{_sbindir}/%{name}-bios-setup
%{_sbindir}/%{name}-install
%{_sbindir}/%{name}-mkconfig
%{_sbindir}/%{name}-mknetdir
%{_sbindir}/%{name}-ofpathname
%{_sbindir}/%{name}-probe
%{_sbindir}/%{name}-reboot
%{_sbindir}/%{name}-set-default
%{_sbindir}/%{name}-sparc64-setup
%{_sbindir}/grub2-cfg-mod
#%{_datadir}/%{name}
%{_datadir}/grub
%attr(0700,root,root) %dir %{_sysconfdir}/grub.d
%{_sysconfdir}/grub.d/README
%config %{_sysconfdir}/grub.d/??_*
%{_sysconfdir}/%{name}.cfg
#%attr(0644,root,root) %config %{_sysconfdir}/default/grub
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/default/grub
%{_sysconfdir}/bash_completion.d/grub
%dir /boot/%{name}
%dir /boot/%{name}/locale
# Actually, this is replaced by update-grub from scriptlets,
# but it takes care of modified persistent part
%config(noreplace) /boot/%{name}/grub.cfg
%doc %{_docdir}/%{name}
%{_infodir}/%{name}.info*
%{_infodir}/grub-dev.info*
%{_mandir}/*/%{name}-*
%exclude %{_mandir}/*/%{name}-efi-*
# RPM filetriggers
%{_filetriggers_dir}/%{name}.*
%dir /boot/%{name}/fonts
/boot/%{name}/fonts/unicode.pf2

%post
exec >/dev/null 2>&1
# Create device.map or reuse one from GRUB Legacy
cp -u /boot/grub/device.map /boot/%{name}/device.map 2>/dev/null ||
	%{_sbindir}/%{name}-mkdevicemap
# Determine the partition with /boot
BOOT_PARTITION=$(df -h /boot |(read; awk '{print $1; exit}'|sed 's/[[:digit:]]*$//'))
# (Re-)Generate core.img, but don't let it be installed in boot sector
%{_sbindir}/%{name}-install $BOOT_PARTITION
# Regenerate configure on install or update
%{_sbindir}/update-grub2
#bugfix: error message before loading of grub2 menu on boot
cp -f /boot/grub2/locale/en@quot.mo /boot/grub2/locale/en.mo

#delete non-needing doubling rpmsave and rpmnew files
rm -f /etc/grub.d/*.rpmsave
rm -f /etc/grub.d/*.rpmnew

%preun
exec >/dev/null
if [ $1 = 0 ]; then
    # XXX Ugly
    rm -f /boot/%{name}/*.mod
    rm -f /boot/%{name}/*.img
    rm -f /boot/%{name}/*.lst
    rm -f /boot/%{name}/*.o
    rm -f /boot/%{name}/device.map
fi

#-----------------------------------------------------------------------

%ifarch %{efi}
%package efi
Summary:	GRUB for EFI systems
Group:		System/Kernel and hardware
Suggests:	efibootmgr

%description efi
The GRand Unified Bootloader (GRUB) is a highly configurable and customizable
bootloader with modular architecture.

It support rich variety of kernel formats, file systems, computer 
architectures and hardware devices.  This subpackage provides support 
for EFI systems.

%files efi
%attr(0755,root,root) %dir /boot/efi/EFI/rosa/grub2-efi
%attr(0755,root,root) /boot/efi/EFI/rosa/grub2-efi/grub.efi
%attr(0755,root,root) /boot/efi/EFI/rosa/grub2-efi/grubcd.efi
%attr(0755,root,rott) %ghost %config(noreplace) /boot/efi/EFI/rosa/grub2-efi/grub.cfg
/etc/bash_completion.d/grub-efi
%{libdir32}/grub/%{_arch}-efi/
%{_sbindir}/%{name}-efi*
%{_bindir}/%{name}-efi*
%{_mandir}/*/%{name}-efi-*
#%{_datadir}/grub
#%{_sysconfdir}/grub.d
%config(noreplace) %{_sysconfdir}/%{name}-efi.cfg
%endif

#-----------------------------------------------------------------------

%prep
%setup -q -n grub-%{version}
%apply_patches
perl -pi -e 's/(\@image\{font_char_metrics,,,,)\.(png\})/$1$2/;' \
        docs/grub-dev.texi

sed -ri -e 's/-g"/"/g' -e "s/-Werror//g" configure.ac

perl -pi -e 's/-Werror//;' grub-core/Makefile.am
export GRUB_CONTRIB="$PWD/grub-extras"
aclocal --force -Im4 -I/usr/share/aclocal --install
./autogen.sh

tar -xf %{SOURCE8}
pushd po-update; sh ./update.sh; popd
cd ..

%build
export CONFIGURE_TOP="$PWD"
%ifarch %{efi}
mkdir -p efi
pushd efi
%configure \
%if %{with talpo}
	CC=talpo \
	CFLAGS=-fplugin-arg-melt-option=talpo-arg-file:%{SOURCE3} \
%else
	CFLAGS="" \
%endif
	TARGET_LDFLAGS=-static \
	--with-platform=efi \
	--program-transform-name=s,grub,%{name}-efi, \
	--libdir=%{libdir32} \
	--libexecdir=%{libdir32} \
	--with-grubdir=grub2 \
	--disable-werror \
	--enable-grub-emu-usb \
	--enable-grub-mkfont
%make all

%if %{with doc}
make html
%endif
%if %{with pdf}
make pdf
%endif
%ifarch %{ix86}
%define grubefiarch i386-efi
%else
%define grubefiarch %{_arch}-efi
%endif

COMMON_MODULES="
	appleldr boot chain configfile echo efi_gop efi_uga halt linux linuxefi loadbios loadenv minicmd normal reboot search test
	all_video font gfxmenu gfxterm png
	part_apple part_gpt part_msdos
	btrfs ext2 fat hfsplus reiserfs xfs
	lvm mdraid09 mdraid1x
"
./grub-mkimage -O %{grubefiarch} -p /EFI/rosa/%{name}-efi -o grub.efi -d grub-core ${COMMON_MODULES}
./grub-mkimage -O %{grubefiarch} -p /BOOT/EFI -o grubcd.efi -d grub-core ${COMMON_MODULES} iso9660

%if %{defined auto_sign}
    %auto_sign grub.efi grubcd.efi
%endif

popd
%endif

mkdir -p pc
cd pc
%configure \
%if %{with talpo}
	CC=talpo \
	CFLAGS=-fplugin-arg-melt-option=talpo-arg-file:%{SOURCE3} \
%else
	CFLAGS="" \
%endif
	TARGET_LDFLAGS=-static \
	--with-platform=pc \
    %ifarch x86_64
	--enable-efiemu \
    %endif
	--program-transform-name=s,grub,%{name}, \
	--libdir=%{libdir32} \
	--libexecdir=%{libdir32} \
	--with-grubdir=grub2 \
	--disable-werror \
	--enable-grub-emu-usb \
	--enable-grub-mkfont
%make all

%if %{with doc}
make html
%endif
%if %{with pdf}
make pdf
%endif

%install
cp %{SOURCE10} .
%ifarch %{efi}
cd efi
%makeinstall_std
%if %{with doc}
%makeinstall_std -C docs install-html
%endif
%if %{with pdf}
%makeinstall_std -C docs install-pdf
%endif
mv %{buildroot}%{_infodir}/grub.info %{buildroot}%{_infodir}/grub2.info
#install -m644 COPYING INSTALL NEWS README THANKS TODO ChangeLog	\
#	%{buildroot}%{_docdir}/%{name}
mv %{buildroot}/etc/bash_completion.d/grub %{buildroot}/etc/bash_completion.d/grub-efi


# Script that makes part of grub.cfg persist across updates
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/grub.d/

# Ghost config file
 install -m 755 -d %{buildroot}/boot/efi/EFI/rosa/
 install -d %{buildroot}/boot/efi/EFI/rosa/%{name}-efi
 touch %{buildroot}/boot/efi/EFI/rosa/%{name}-efi/grub.cfg
 ln -s ../boot/efi/EFI/rosa/%{name}-efi/grub.cfg %{buildroot}%{_sysconfdir}/%{name}-efi.cfg

# Install ELF files modules and images were created from into
# the shadow root, where debuginfo generator will grab them from
find %{buildroot} -name '*.mod' -o -name '*.img' |
while read MODULE
do
        BASE=$(echo $MODULE |sed -r "s,.*/([^/]*)\.(mod|img),\1,")
        # Symbols from .img files are in .exec files, while .mod
        # modules store symbols in .elf. This is just because we
        # have both boot.img and boot.mod ...
        EXT=$(echo $MODULE |grep -q '.mod' && echo '.elf' || echo '.exec')
        TGT=$(echo $MODULE |sed "s,%{buildroot},.debugroot,")
#        install -m 755 -D $BASE$EXT $TGT
done
 install -m 755 grub.efi %{buildroot}/boot/efi/EFI/rosa/%{name}-efi/grub.efi
 install -m 755 grubcd.efi %{buildroot}/boot/efi/EFI/rosa/%{name}-efi/grubcd.efi
cd ..
%endif
cd pc
######EFI
%makeinstall_std
%if %{with doc}
%makeinstall_std -C docs install-html
%endif
%if %{with pdf}
%makeinstall_std -C docs install-pdf
%endif
mv -f %{buildroot}%{_docdir}/grub %{buildroot}%{_docdir}/%{name}
#install -m644 COPYING INSTALL NEWS README THANKS TODO ChangeLog	\
#	%{buildroot}%{_docdir}/%{name}

# (bor) grub.info is harcoded in sources
mv %{buildroot}%{_infodir}/grub.info %{buildroot}%{_infodir}/grub2.info

# Script that makes part of grub.cfg persist across updates
install -m 755 %{SOURCE1} %{buildroot}%{_sysconfdir}/grub.d/

# Ghost config file
install -d %{buildroot}/boot/%{name}
install -d %{buildroot}/boot/%{name}/locale
touch %{buildroot}/boot/%{name}/grub.cfg
ln -s ../boot/%{name}/grub.cfg %{buildroot}%{_sysconfdir}/%{name}.cfg

# Install ELF files modules and images were created from into
# the shadow root, where debuginfo generator will grab them from
find %{buildroot} -name '*.mod' -o -name '*.img' |
while read MODULE
do
        BASE=$(echo $MODULE |sed -r "s,.*/([^/]*)\.(mod|img),\1,")
        # Symbols from .img files are in .exec files, while .mod
        # modules store symbols in .elf. This is just because we
        # have both boot.img and boot.mod ...
        EXT=$(echo $MODULE |grep -q '.mod' && echo '.elf' || echo '.exec')
        TGT=$(echo $MODULE |sed "s,%{buildroot},.debugroot,")
#        install -m 755 -D $BASE$EXT $TGT
done
# Defaults
install -m 644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/default/grub

#Add more useful update-grub2 script
install -m 755 -D %{SOURCE9} %{buildroot}%{_sbindir}

# Install filetriggers to update grub.cfg on kernel add or remove
install -d %{buildroot}%{_filetriggers_dir}
pushd %{buildroot}%{_filetriggers_dir} && {
	cat > %{name}.filter << EOF
^./boot/vmlinuz-
EOF
	cat > %{name}.script << EOF
#!/bin/sh
%{_sbindir}/update-grub2
EOF
	chmod 0755 %{name}.script
	popd
}

#mv -f %{buildroot}/%{libdir32}/grub %{buildroot}/%{libdir32}/%{name}
#mv -f %{buildroot}/%{_datadir}/grub %{buildroot}/%{_datadir}/%{name}

# Windows EFI entry
install -m 755 %{SOURCE12} %{buildroot}%{_sysconfdir}/grub.d

# repair section
install -m 755 %{SOURCE13} %{buildroot}%{_sysconfdir}/grub.d

# <akdengi> install programm to change option in /etc/default/grub
install -m 755 %{SOURCE14} %{buildroot}%{_sbindir}/grub2-cfg-mod

%find_lang grub

#drop all zero-length file
#find %{buildroot} -size 0 -delete

#Copy font to properly place
mkdir -p %{buildroot}/boot/%{name}/fonts/
cp -f %{buildroot}%{_datadir}/grub/unicode.pf2 %{buildroot}/boot/%{name}/fonts/


%changelog

* Fri Jul 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.00-79
- (8724c35) Backport some patches from upstream for XFS V5 filesystem format support

* Tue Mar 15 2016 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-78
- (4dc4203) Fixed compatibility with e2fsprogs (hibernating with file swap)

* Tue Jan 19 2016 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-77
- (be5a4e1) Added ROSA theme to default config

* Mon Jan 11 2016 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-76
- (6aae85c) Hide console messages with Plymouth

* Mon Dec 21 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-75
- (476155a) Fixed CVE-2015-8370

* Fri Jul 10 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-74
- (7486aa7) Using more universal update-grub2 for kernel trigger
- (Konstantin Vlasov: 5805e8b) Removed branding-configs-common dependency
- (Konstantin Vlasov: 5805e8b) Looks like it was not required at all. It is a mistery why it was added in the first place (as rosa-release-common).
- (Denis Silakov: c2bcc94) Bump release

* Tue May 19 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-73
- (d75476b) Moved creating EFI grub.cfg from update-grub2 into grub2-install
- (d75476b) Earlier update-grub2 replaced EFI grub.cfg, so that Grub displayed boot menu from this system, and there was no way of updating local menu without making it the main one. Now it's more logical, only grub2 installation replaces the main menu (just like in non-EFI mode).

* Tue May 19 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-72
- (5b225b6) Do not add Windows EFI entry if os-prober is disabled
- (Konstantin Vlasov: 0f259d1) Fixed Windows EFI entry
- (Konstantin Vlasov: 0478f4f) Fixed: UEFI Windows boot entry sometimes not created

* Fri Mar 20 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-71
- (cb18ac5) Updated branding dependency
- (cb18ac5) Due to strange urpmi behavior, 'rosa-release-common' dependency is not checked by version, so in most cases it takes 'rosa-release-common' package instead of 'branding-configs-common'. So, changing the Requires explicitly.
- (Konstantin Vlasov: a4b5fa8) Optimized %files section

* Wed Feb 25 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-70
- (91aa393) Various fixes and improvements
- (91aa393) 1. Fixed hints string in Windows EFI boot entry.
- (91aa393) 2. Showing full list of available target types in grub-probe help.
- (91aa393) 3. Imported patch for Secure Boot support in chainloader.

* Tue Feb 17 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-69
- (a42cf79) Merge import/rosa2014.1 into signer/rosa2014.1
- (Konstantin Vlasov: ad525b4) Added option for inserting linked grub2 menuentries
- (Konstantin Vlasov: ad525b4) 1. If GRUB_OS_PROBER_LINKED=true, instead of embedding os-probed menu entries, a link to the target grub.cfg is created.
- (Konstantin Vlasov: ad525b4) 2. Exception: If currently booted system uses separate /boot, and the probed system also uses the same separate /boot, then GRUB_OS_PROBER_LINKED value for this system is ignored, and standard menuentry is created. (Otherwise the resulting menuentry will not boot the target OS, but reload the current grub.cfg.)
- (Konstantin Vlasov: ad525b4) 3. If the probed system uses separate /boot (different from the currently used /boot), the entry name is formatted like that: "sda2: ROSA Desktop (sda5), Fedora (sda6)...", where "sda2" is the target /boot, sda5/sda6/etc. are respective root partitions, and distro names are the shortened versions of the original target OS names (one or two first words).

* Tue Feb 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.00-66
- (07162c8) Post-merge fixes
- (Andrey Bondrov: 773a96b) Make docs build conditional, more spec cleanups

* Tue Feb 03 2015 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-68
- (4f37f79) Various UEFI-related fixes
- (4f37f79) 1. Fixed: When installing in UEFI mode on an MBR-partitioned hard disk, the MBR disk ID was changed. It caused boot failure of the existing Legacy-BIOS Windows installation.
- (4f37f79) 2. Fixed: Windows UEFI entry was not added, if grub config update was caused by kcm_grub2 running with non-root privileges (reason: elevation of privileges does not update PATH, and required tools cannot be found).
- (4f37f79) 3. Minor fix: BOOTx64.efi filename case fixed (not that it matters much on FAT file system...)

* Mon Dec 22 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-67
- (1bc1924) Release uplift

* Mon Dec 08 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-66
- (25077bd) Added signing of the EFI images

* Mon Dec 08 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-65
- (df449af) Fixed grub.cfg for UEFI when separate /boot is used

* Thu Dec 04 2014 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.00-64
- (8461ec0) Minor cleanups

* Thu Nov 20 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-63
- (8e23f8f) SecureBoot support for grub2-install
- (8e23f8f) 1. Instead of generating new grub.efi image, an existing one (ROSA-signed) is used, so that it could be loaded by the shim when SecureBoot enabled.
- (8e23f8f) 2. If SecureBoot is available for this machine (no matter, turned on or off), and shim is present, using shim instead of grub2 as bootloader.
- (Konstantin Vlasov: 4ced689) Moved efi mans into efi subpackage
- (Konstantin Vlasov: 2593a50) Adapted grub.cfg for EFI+SecureBoot
- (Konstantin Vlasov: 0c50346) Improvements on all-in-one EFI grub (for signing)
- (Konstantin Vlasov: 863fe82) Patches cleanup and build requirements fix

* Tue Oct 14 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-62
- (b661c4a) btrfs subvolume detection supported

* Fri Oct 10 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-61
- (8fcf5de) Fixed: UEFI Windows entry did not use savedefault option

* Wed Sep 24 2014 Konstantin Vlasov <konstantin.vlasov@rosalab.ru> 2.00-60
- (8ed633f) Added modules required for booting from USB flash


